
Redmine - Defect #3896

Display error in selection list for issue grouping

2009-09-20 23:35 - Albrecht Backhaus

Status: Closed Start date: 2009-09-20

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Text on selection list for issue grouping is displaying html characters - see enclosed screenshot

Application's environment:

Ruby version              1.8.7 (i586-linux)

RubyGems version          1.3.5

Rack version              1.0

Rails version             2.3.4

Active Record version     2.3.4

Active Resource version   2.3.4

Action Mailer version     2.3.4

Active Support version    2.3.4

Application root          /srv/redmine

Environment               development

Database adapter          mysql

Database schema version   0

About your Redmine plugins

Redmine Wiki Extensions plugin       0.1.1

Redmine System Notification plugin   0.2.0

Redmine Todo Lists plugin            0.0.3.7

Bulk Time Entry                      0.3.0

Timesheet Plugin                     0.5.0

Google Analytics plugin              0.2.0

Redmine Question plugin              0.3.0

History

#1 - 2009-09-20 23:36 - Albrecht Backhaus

 screenshot.png 

#2 - 2009-09-21 09:05 - Albrecht Backhaus

Bug was already fixed in Revision r2887 for another field:

Fixed a bug that occurred in tests where the "required" span tag would be

added to the :field_status translation. This resulted in an email string of:

<li>Status<span class="required"> *</span><span class="required"> *</span>

Instead of:

&lt;li&gt;Status: New&lt;/li&gt;

 Seems to occur in several other fields too.

#3 - 2009-09-23 10:49 - Albrecht Backhaus

- Status changed from New to Resolved

- Assignee set to Eric Davis

This error is related to the timesheet plugin - therefore I close it here and opend a ticket in the plugin support site
https://www.redmine.org/projects/redmine/repository/svn/revisions/2887


#4 - 2009-10-01 00:19 - Eric Davis

- Status changed from Resolved to Closed

- Resolution set to Invalid

This was actually from my Bulk Time Entry pluign.  It used something very similar to Redmine's Tabular form that I fixed in r2887, I just didn't fix it in

the Bulk Time Entry pluign until recently.

Files
